Package org.eclipse.cdt.utils.xcoff

## Class XCoff32

- java.lang.Object
- - org.eclipse.cdt.utils.xcoff.XCoff32

    public class XCoff32
    extends Object

Representation of AIX XCOFF32 binary format

### Nested Class Summary

Nested Classes
`static class` `XCoff32.Attribute`
`static class` `XCoff32.FileHeader`
`static class` `XCoff32.OptionalHeader`
`static class` `XCoff32.SectionHeader`
`class` `XCoff32.Symbol`

### Field Summary

Fields
`static String` `NL`

### Constructor Summary

Constructors
`protected` `XCoff32()`
`` `XCoff32​(String filename)`
`` `XCoff32​(String filename, long offset)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `dispose()`
`XCoff32.Attribute` `getAttributes()`
`static XCoff32.Attribute` `getAttributes​(byte[] hints)`
`static XCoff32.Attribute` `getAttributes​(String file)`
`XCoff32.FileHeader` `getFileHeader()`
`XCoff32.OptionalHeader` `getOptionalHeader()`
`XCoff32.SectionHeader[]` `getSectionHeaders()`
`byte[]` `getStringTable()`
`XCoff32.Symbol[]` `getSymbols()`
`static boolean` `isXCOFF32Header​(byte[] hints)`
`static void` `main​(String[] args)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NL

    public static final String NL

### Constructor Detail

#### XCoff32

    protected XCoff32()

#### XCoff32

    public XCoff32​(String filename)
            throws IOException

Throws:
  `IOException`

#### XCoff32

    public XCoff32​(String filename,
                   long offset)
            throws IOException

Throws:
  `IOException`

### Method Detail

#### getAttributes

    public XCoff32.Attribute getAttributes()

#### getFileHeader

    public XCoff32.FileHeader getFileHeader()
                                     throws IOException

Throws:
  `IOException`

#### getOptionalHeader

    public XCoff32.OptionalHeader getOptionalHeader()
                                             throws IOException

Throws:
  `IOException`

#### getSectionHeaders

    public XCoff32.SectionHeader[] getSectionHeaders()
                                              throws IOException

Throws:
  `IOException`

#### getSymbols

    public XCoff32.Symbol[] getSymbols()
                                throws IOException

Throws:
  `IOException`

#### getStringTable

    public byte[] getStringTable()
                          throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### dispose

    public void dispose()
                 throws IOException

Throws:
  `IOException`

#### main

    public static void main​(String[] args)

#### isXCOFF32Header

    public static boolean isXCOFF32Header​(byte[] hints)

#### getAttributes

    public static XCoff32.Attribute getAttributes​(byte[] hints)
                                           throws IOException

Throws:
  `IOException`

#### getAttributes

    public static XCoff32.Attribute getAttributes​(String file)
                                           throws IOException

Throws:
  `IOException`